=== debian/control ===
Source: pygi
Section: devel
Priority: extra
Maintainer: Anderson Lizardo <anderson.lizardo@openbossa.org>
Build-Depends: python-dev (>= 2.5),
               cdbs,
               debhelper (>= 5),
               libglib2.0-dev (>= 2.8.0),
               gobject-introspection,
               libgirepository1.0-dev,
               python-gobject-pygi-dev,
               libcairo2-dev,
               python-cairo-dev
Standards-Version: 3.7.2

Package: pygi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gobject-introspection (>= 0.6.10), python-gobject-pygi (>= 2.20)
Description: Python dynamic bindings based on GObject-Introspection.
 Ported to maemo specifically for python GUPnP Bindings
