=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Add here any variable or target overrides you need.

DEB_CONFIGURE_PREFIX = /opt/pygi

DEB_CONFIGURE_SCRIPT_ENV += PYTHON=python2.5 PKG_CONFIG_PATH=$(DEB_CONFIGURE_PREFIX)/lib/pkgconfig
DEB_MAKE_ENVVARS += PKG_CONFIG_PATH=$(DEB_CONFIGURE_PREFIX)/lib/pkgconfig LD_LIBRARY_PATH=$(DEB_CONFIGURE_PREFIX)/lib
DEB_CONFIGURE_NORMAL_ARGS = --prefix=$(DEB_CONFIGURE_PREFIX)

LD_LIBRARY_PATH = $(DEB_CONFIGURE_PREFIX)/lib
export LD_LIBRARY_PATH

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/i486-linux-gnu"
endif
ifeq ($(DEB_HOST_ARCH),armel)
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/arm-linux-gnueabi"
endif

makebuilddir/pygi::
	if [ ! -f configure ]; then \
	    sed -i 's/CPPFLAGS+="/CPPFLAGS="$${CPPFLAGS} /' configure.ac; \
	    NOCONFIGURE=1 ./autogen.sh; \
	fi

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	# remove unnecessary documentation and man pages
	rm -rf debian/$(cdbs_curpkg)/usr/share/doc
	rmdir -p debian/$(cdbs_curpkg)/usr/share || true

clean::
	find -maxdepth 1 -type l | xargs -r rm
	rm -f configure
	rm -rf tests/tmp-introspect*
