## pygi 0.5.1-1maemo1

=== debian/changelog ===
pygi (0.5.1-1maemo1) unstable; urgency=low

  * Bump to 0.5.1

 -- Zach Goldberg <zach@zachgoldberg.com>  Thu, 13 May 2010 01:47:08 -0400

pygi (0.5.GIT20100424-1maemo2) unstable; urgency=low

  * Guess at some changes to try and get pygi to actually show up properly in extras-devel

 -- Zach Goldberg <zach@zachgoldberg.com>  Mon, 26 Apr 2010 13:26:59 -0400

pygi (0.5.GIT20100424-1maemo1) unstable; urgency=low

  [ Zach Goldberg ]
  * Update to 0.5 plus an extra commit for forced initial null out arguments

  [ Anderson Lizardo ]
  * debian/rules: Add workaround to find libffi headers.
  * gi/Makefile.am: Fix pycairo linking issue.
  * debian/control: add build dependency on libcairo2-dev to workaround
    python-cairo-dev not depending on it.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Sat, 24 Apr 2010 15:29:06 -0400

pygi (0.1.GIT20100203-1maemo1) unstable; urgency=low

  * Set LD_LIBRARY_PATH in debian/rules.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Sat, 24 Apr 2010 13:08:52 -0400

pygi (0.1.GIT20100203-1) unstable; urgency=low

  * Initial release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Wed, 10 Mar 2010 15:04:35 -0400
