=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Anderson Lizardo <anderson.lizardo@openbossa.org>
 Build-Depends: python-dev (>= 2.5),
                cdbs,
+	       quilt,
                debhelper (>= 5),
                libglib2.0-dev (>= 2.8.0),
                gobject-introspection,
