=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
 
 # Add here any variable or target overrides you need.
 
@@ -13,6 +14,41 @@
 LD_LIBRARY_PATH = $(DEB_CONFIGURE_PREFIX)/lib
 export LD_LIBRARY_PATH
 
+
+# how to call quilt
+PATCH_DIR := $(CURDIR)/debian/patches
+QUILT := QUILT_PATCHES=$(PATCH_DIR) quilt --quiltrc /dev/null -f 
+
+patch-stamp:
+	dh_testdir
+	# apply patches
+	$(QUILT) push -a || test $$? = 2
+	# backup the original files to restore them in the clean target
+	[ ! -r configure ] || cp -a configure configure.orig
+	[ ! -r config.sub ]   || \
+	    (cp config.sub   config.sub.orig   && \
+             cp /usr/share/misc/config.sub   config.sub)
+	[ ! -r config.guess ] || \
+	(cp config.guess config.guess.orig && \
+             cp /usr/share/misc/config.guess config.guess)
+	touch $@
+
+patch: patch-stamp
+
+unpatch:
+	rm -f patch-stamp
+	# restore files from backup (before unpatching)
+	[ ! -r configure.orig ] || cp -a configure.orig configure
+	[ ! -r config.sub.orig ]   || \
+	    cp config.sub.orig   config.sub
+	[ ! -r config.guess.orig ]   || \
+		cp config.guess.orig config.guess
+        # unapply patches, if any
+	$(QUILT) pop -f -a || test $$? = 2
+	rm -rf .pc
+
+
+
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
 DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/i486-linux-gnu"
@@ -21,7 +57,7 @@
 DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/arm-linux-gnueabi"
 endif
 
-makebuilddir/pygi::
+makebuilddir/pygi:: patch-stamp
 	if [ ! -f configure ]; then \
 	    sed -i 's/CPPFLAGS+="/CPPFLAGS="$${CPPFLAGS} /' configure.ac; \
 	    NOCONFIGURE=1 ./autogen.sh; \
@@ -33,6 +69,7 @@
 	rmdir -p debian/$(cdbs_curpkg)/usr/share || true
 
 clean::
+	$(MAKE) -f debian/rules unpatch 
 	find -maxdepth 1 -type l | xargs -r rm
 	rm -f configure
 	rm -rf tests/tmp-introspect*
